org.springframework.web.portlet.mvc

## Interface ResourceAwareController

- All Known Implementing Classes:
    PortletWrappingController

      public interface ResourceAwareController

  Extension of the Portlet `Controller` interface that allows for handling Portlet 2.0 resource requests as well. Can also be implemented by `AbstractController` subclasses.
  Since:
    3.0
  Author:
    Juergen Hoeller
  See Also:
    `ResourceServingPortlet`, `Controller`, `EventAwareController`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelAndView` | `handleResourceRequest(ResourceRequest request, ResourceResponse response)` Process the resource request and return a ModelAndView object which the DispatcherPortlet will render.

- - ### Method Detail

    - #### handleResourceRequest

          ModelAndView handleResourceRequest(ResourceRequest request,
                                           ResourceResponse response)
                                             throws Exception

      Process the resource request and return a ModelAndView object which the DispatcherPortlet will render. A `null` return value is not an error: It indicates that this object completed request processing itself, thus there is no ModelAndView to render.
      Parameters:
        `request` - current portlet resource request
        `response` - current portlet resource response
      Returns:
        a ModelAndView to render, or null if handled directly
      Throws:
        `Exception` - in case of errors